#ifndef _Handle_PDataStd_Name_HeaderFile
#define _Handle_PDataStd_Name_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PDF_Attribute_HeaderFile
#include <Handle_PDF_Attribute.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PDF_Attribute);
class PDataStd_Name;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PDataStd_Name);

class Handle(PDataStd_Name) : public Handle(PDF_Attribute) {
  public:

    Handle(PDataStd_Name)():Handle(PDF_Attribute)() {} 
    Handle(PDataStd_Name)(const Handle(PDataStd_Name)& aHandle) : Handle(PDF_Attribute)(aHandle) 
     {
     }

    Handle(PDataStd_Name)(const PDataStd_Name* anItem) : Handle(PDF_Attribute)((PDF_Attribute *)anItem) 
     {
     }

    Handle(PDataStd_Name)& operator=(const Handle(PDataStd_Name)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PDataStd_Name)& operator=(const PDataStd_Name* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PDataStd_Name* operator->() const 
     {
      return (PDataStd_Name *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PDataStd_Name) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
